## krb5 1.17

=== debian/changelog ===
krb5 (1.17-6ubuntu4.11) focal-security; urgency=medium

  * SECURITY UPDATE: Use of weak cryptographic hash.
    - debian/patches/CVE-2025-3576*.patch: Add allow_des3 and allow_rc4 options.
      Disallow usage of des3 and rc4 unless allowed in the config. Replace
      warn_des3 with warn_deprecated in ./src/lib/krb5/krb/get_in_tkt.c. Add
      allow_des3 and allow_rc4 boolean in ./src/include/k5-int.h. Prevent usage
      of deprecated enctypes in ./src/kdc/kdc_util.c.
    - debian/patches/CVE-2025-3576-post1.patch: Add enctype comparison with
      ENCTYPE_AES256_CTS_HMAC_SHA1_96 in ./src/kdc/kdc_util.c.
    - debian/libk5crypto3.symbols: Add krb5int_c_deprecated_enctype symbol.
    - CVE-2025-3576

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 15 May 2025 17:02:09 +0200

krb5 (1.17-6ubuntu4.9) focal-security; urgency=medium

  * SECURITY UPDATE: denial of service via two memory leaks
    - debian/patches/CVE-2024-26458.patch: fix two unlikely memory leaks in
      src/lib/gssapi/krb5/k5sealv3.c, src/lib/rpc/pmap_rmt.c.
    - CVE-2024-26458
    - CVE-2024-26461
  * SECURITY UPDATE: kadmind DoS via iprop log file
    - debian/patches/CVE-2025-24528.patch: prevent overflow when
      calculating ulog block size in src/lib/kdb/kdb_log.c.
    - CVE-2025-24528

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 Feb 2025 12:27:13 -0500

krb5 (1.17-6ubuntu4.8) focal-security; urgency=medium

  * SECURITY UPDATE: Use of MD5-based message authentication over plaintext
    communications could lead to forgery attacks.
    - debian/patches/CVE-2024-3596.patch: Secure Response Authenticator
      by adding support for the Message-Authenticator attribute in non-EAP
      authentication methods.
    - debian/patches/0018-Convert-OTP-and-kdcproxy-tests-to-python3.patch:
      Convert tests/t_otp.py to python 3. Remove util/paste-kdcproxy.py and
      refactor it into util/wsgiref-kdcproxy.py to avoid paste dependency.
    - debian/patches/0019-More-python3-fixes-for-t_daemon.py: Replace a map
      with a list comprehension and update calls to StringIO in
      lib/krad/t_daemon.py.
    - CVE-2024-3596
  * Update libk5crypto3 symbols: add k5_hmac_md5 symbol.

 -- Nicolas Campuzano Jimenez <nicolas.campuzano@canonical.com>  Sat, 25 Jan 2025 17:18:49 -0500

krb5 (1.17-6ubuntu4.7) focal; urgency=medium

  * Fix a memory leak in krb5_gss_inquire_cred (LP: #2060666)

 -- Ponnuvel Palaniyappan <pponnuvel@gmail.com>  Thu, 08 Aug 2024 11:06:56 +0100

krb5 (1.17-6ubuntu4.6) focal-security; urgency=medium

  * SECURITY UPDATE: Invalid token requests
    - debian/patches/CVE-2024-37370.patch: Fix vulnerabilities in GSS
    message token handling
    - CVE-2024-37370
    - CVE-2024-37371

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 15 Jul 2024 13:47:15 +1000

krb5 (1.17-6ubuntu4.4) focal-security; urgency=medium

  * SECURITY UPDATE: freeing of uninitialized memory
    - debian/patches/CVE-2023-36054.patch: ensure array count consistency in
      kadm5 RPC.
    - CVE-2023-36054

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Tue, 24 Oct 2023 13:53:43 -0300

krb5 (1.17-6ubuntu4.3) focal-security; urgency=medium

  * SECURITY UPDATE: Null pointer dereference issue
    - debian/patches/CVE-2021-36222.patch: Fix KDC null deref on bad
      encrypted challenge
    - debian/patches/CVE-2021-37750.patch: Fix KDC null deref on TGS inner
      body null server
    - CVE-2021-36222
    - CVE-2021-37750

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 15 Mar 2023 19:47:40 +0530

krb5 (1.17-6ubuntu4.2) focal-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-42898.patch: add buffer length checks in
      krb5_pac_parse() in src/lib/krb5/krb/pac.c and a test case for
      invalid buffers in src/lib/krb5/krb/t_pac.c.
    - CVE-2022-42898

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 20 Jan 2023 08:14:35 -0300

krb5 (1.17-6ubuntu4.1) focal-security; urgency=medium

  * SECURITY UPDATE: Unbounded recursion
    - debian/patches/CVE-2020-28196.patch: adds recursion limit for ASN.1
      indefinite lenghts in src/lib/krb5/asn.1/asn1_encode.c.
    - CVE-2020-28196

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 11 Nov 2020 11:23:12 -0300

krb5 (1.17-6ubuntu4) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:05:44 +0000

krb5 (1.17-6ubuntu3) focal; urgency=medium

  * d/p/1000-doc-tools-py3.patch, d/rules, d/control: use python3 for
    doc building (LP: #1858496)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 09 Jan 2020 11:11:49 -0300

krb5 (1.17-6ubuntu2) focal; urgency=medium

  * Build-depend on python2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Jan 2020 03:08:25 +0000

krb5 (1.17-6ubuntu1) focal; urgency=medium

  * d/control: add "Multi-Arch: foreign" to allow krb5-doc to be used as
    a dependency of architecture-dependent packages. In particular, this
    lets krb5-doc:i386 be installed on an amd64 host. See
    https://lists.ubuntu.com/archives/ubuntu-devel/2019-December/040859.html
    for details.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 06 Jan 2020 16:24:39 -0300

krb5 (1.17-6) unstable; urgency=medium

  * Stop depending on texlive-generic-extra, which is no longer built,
    Closes: #933286

 -- Sam Hartman <hartmans@debian.org>  Thu, 01 Aug 2019 14:15:13 -0400

krb5 (1.17-5) unstable; urgency=high

  * Upstream patch to filter invalid enctypes when nfs calls  to indicate
    which enctypes it supports, Closes: #932000
  * Do not error out if a keytab includes a single-des enctype, Closes:
    #932132

 -- Sam Hartman <hartmans@debian.org>  Wed, 17 Jul 2019 09:20:27 -0400

krb5 (1.17-4) unstable; urgency=low

  * Remove single DES support entirely; it has been deprecated for a
    number of years and is going away in 1.18.  We want to find out now
    any debian problems.

