=== debian/tests/control ===
Tests: kinit
Depends: @
Restrictions: isolation-container, needs-root, allow-stderr

Tests: slapd-gssapi
Depends: @, slapd, ldap-utils, libsasl2-modules-gssapi-mit
Restrictions: isolation-container, needs-root, allow-stderr
