## krb5 1.17.4

=== debian/changelog ===
krb5 (1.17.4-1+eagle) unstable; urgency=medium

  * update

 -- Sam Hartman <hartmans@debian.org>  Fri, 24 Sep 2021 10:06:50 +0800

krb5 (1.17.3-3+deb10u2.1) oldstable; urgency=medium

  * just update version in changelog for build.

 -- Clay Stan <claystan97@gmail.com>  Thu, 09 Sep 2021 13:34:37 +0800

krb5 (1.17-3+deb10u2) buster-security; urgency=high

  * Import upstream patch for CVE-2021-36222, Closes: #991365

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 22 Jul 2021 18:11:15 -0700

krb5 (1.17-3+deb10u1) buster-security; urgency=medium

  * CVE-2020-28196 (Closes: #973880)

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 19 Nov 2020 17:42:57 +0100
