=== debian/rules ===
--- 
+++ 
@@ -98,7 +98,7 @@
 
 build-indep-stamp: build-stamp
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
-	cd build/doc && make PYTHON=python3 substhtml substpdf
+	cd build/doc && make PYTHON=python substhtml substpdf
 	ln -sf /usr/share/javascript/jquery/jquery.js build/doc/html_subst/_static/jquery.js
 	ln -sf /usr/share/javascript/underscore/underscore.js build/doc/html_subst/_static/underscore.js
 	ln -sf /usr/share/javascript/sphinxdoc/1.0/doctools.js build/doc/html_subst/_static/doctools.js
@@ -200,7 +200,7 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installdebconf
-	DH_OPTIONS= dh_installinit -pkrb5-kdc --error-handler=init_error -- defaults 18 18
+	DH_OPTIONS= dh_installinit --no-start -pkrb5-kdc --error-handler=init_error -- defaults 18 18
 	DH_OPTIONS= dh_installinit -pkrb5-kpropd -- defaults 18 18
 		DH_OPTIONS= dh_installinit -pkrb5-admin-server -- defaults 18 18
 	dh_systemd_enable
@@ -219,4 +219,3 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	dh_md5sums
