## krb5 1.17.6

=== debian/changelog ===
krb5 (1.17.6-deepin1) unstable; urgency=medium

  * Non-maintainer upload.
  * update to upstream version and merge uniontech patches

 -- Ding Heng <dingheng@uniontech.com>  Thu, 15 Dec 2022 14:58:53 +0800

krb5 (1.17-3+deb10u5) buster-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * CVE-2022-42898: Prevent integer overflows in PAC parsing; potentially
    critical for 32-bit KDCs or when cross-realm acts maliciously.
    (Closes: #1024267)

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Nov 2022 12:10:12 +0000

krb5 (1.17-3+deb10u4) buster; urgency=medium

  * Use SHA256 as Pkinit CMS Digest, Closes: #1017995

 -- Sam Hartman <hartmans@debian.org>  Tue, 23 Aug 2022 14:28:40 -0600

krb5 (1.17-3+deb10u3) buster; urgency=high

  * Fix KDC null dereference crash on FAST request with no server field,
    CVE-2021-37750, Closes: #992607
  * Fix memory leak in krb5_gss_inquire_cred, Closes: #991140


 -- Sam Hartman <hartmans@debian.org>  Sun, 29 Aug 2021 16:23:02 -0600
