## krb5 1.18.3

=== debian/changelog ===
krb5 (1.18.3-6+deb11u3aatgv1) bullseye-security; urgency=high

  * Rebuild or viewer

 -- Amon Ott <ao@m-privacy.de>  Wed, 29 May 2024 12:03:00 +0200

krb5 (1.18.3-6+deb11u3aaump1) bullseye-security; urgency=high

  * Build for cephd11 only
  * debian/rules:
    - configure with --enable-static
    - do not rm krad stuff
    - dh_makeshlibs -- -c0
    - disable obsolete krb5_newrealm adjustment
  * debian/control:
    - only build packages krb5-multidev and libkrb5-dev without lib depends
  * debian/libkrb5-dev.install:
    - add usr/lib/*/*.a
  * debian/*.install:
    - comment *.so*
  * debian/krb5-multidev.links:
    - comment all
  * Add debian/patches/0099-Fix-duplicate-name.patch

 -- Amon Ott <ao@m-privacy.de>  Tue, 10 Jan 2023 14:56:00 +0100

krb5 (1.18.3-6+deb11u3) bullseye-security; urgency=high

  * Integer overflows in PAC parsing; potentially critical for 32-bit
    KDCs or when cross-realm acts maliciously; DOS in other conditions;
    CVE-2022-42898, Closes: #1024267

 -- Sam Hartman <hartmans@debian.org>  Thu, 17 Nov 2022 12:41:46 -0700

krb5 (1.18.3-6+deb11u2) bullseye; urgency=medium

  * Use SHA256 as Pkinit CMS Digest, Closes: #1017995


 -- Sam Hartman <hartmans@debian.org>  Tue, 23 Aug 2022 14:49:09 -0600

krb5 (1.18.3-6+deb11u1) bullseye; urgency=medium

  * Fix KDC null dereference crash on FAST request with no server field,
    CVE-2021-37750, Closes: #992607
  * Fix memory leak in krb5_gss_inquire_cred, Closes: #991140


 -- Sam Hartman <hartmans@debian.org>  Sun, 29 Aug 2021 16:38:12 -0600

krb5 (1.18.3-6) unstable; urgency=high

  * Pull in upstream patch to fix CVE-2021-36222 (KDC NULL dereference),
    Closes: #991365

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 21 Jul 2021 11:07:07 -0700

krb5 (1.18.3-5) unstable; urgency=medium

  * Update breaks on libk5crypto3 toward other internal libraries because
    of removed internal symbols, Closes: #985739

 -- Sam Hartman <hartmans@debian.org>  Sun, 28 Mar 2021 13:43:01 -0400

krb5 (1.18.3-4) unstable; urgency=medium


  * Sigh, either use <= with the old version in the
    libapache-mod-auth-kerb constraint or << with the new version.  <=
    with the new version is no good.  (used <= with the old version)

 -- Sam Hartman <hartmans@debian.org>  Mon, 23 Nov 2020 11:53:02 -0500

krb5 (1.18.3-3) unstable; urgency=medium

  * Update breaks for libapache2-mod-auth-kerb now that we think we have a fix.
  * Mark libkrad-dev as multi-arch: same

 -- Sam Hartman <hartmans@debian.org>  Mon, 23 Nov 2020 10:07:02 -0500

krb5 (1.18.3-2) unstable; urgency=medium

  * Break libapache2-mod-auth-kerb; see #975344 .  Obviously this is not a stable situation, but I want to at least let users know that by installing this krb5 libapache2-mod-auth-kerb will not work until we fix it.

 -- Sam Hartman <hartmans@debian.org>  Fri, 20 Nov 2020 14:46:00 -0500

krb5 (1.18.3-1) unstable; urgency=medium

  * New upstream version
    - Fix error when DES disabled, Closes: #932298
  * Fix typo in lintian overrides.
  * Update hurd compat patch, thanks Pino Toscano, Closes: #933770

 -- Sam Hartman <hartmans@debian.org>  Thu, 19 Nov 2020 11:08:16 -0500

krb5 (1.18.2-1) experimental; urgency=medium

  * New Upstream version
  * Include several pre-release patches from 1.18.3:
    - Unregister thread key in SPNEGO finalization
    - Set pw_expiration during LDAP load
  -  Avoid using LMDB environments across forks
    - Allow gss_unwrap_iov() of unpadded RC4 tokens
    - Fix input length checking in SPNEGO DER decoding
    - Set lockdown attribute when creating LDAP KDB
    - Add recursion limit for ASN.1 indefinite lengths (CVE-2020-28196,
    Closes: #973880) 
  * Release new upstream to experimental

 -- Sam Hartman <hartmans@debian.org>  Mon, 09 Nov 2020 16:28:52 -0500

krb5 (1.17-10) unstable; urgency=medium

  * Also set localstatedir to be consistent with old builds, Closes: #962522
  * Include journalctl dump from krb5kdc tests so we can figure out why ppc tests are breaking.

 -- Sam Hartman <hartmans@debian.org>  Mon, 09 Nov 2020 16:28:25 -0500

krb5 (1.17-9) unstable; urgency=low

  * Fix build-indep, Closes: #962470

 -- Sam Hartman <hartmans@debian.org>  Mon, 08 Jun 2020 10:02:57 -0400

krb5 (1.17-8) unstable; urgency=low

  * krb5-doc is multi-arch Foreign, Closes: #959984
  * Convert to using dh sequencer, Closes: #930690
  * Low urgency to give us a chance to shake out the DH changes

 -- Sam Hartman <hartmans@debian.org>  Thu, 28 May 2020 10:31:24 -0400

krb5 (1.17-7) unstable; urgency=medium

  * Use python3 for building docs; pull patch from upstream, Closes: #939483

 -- Sam Hartman <hartmans@debian.org>  Mon, 23 Mar 2020 10:46:41 -0400
