=== debian/control ===
Source: krb5
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13), byacc | bison,
 comerr-dev, docbook-to-man,
 libkeyutils-dev [linux-any], libldap2-dev , libsasl2-dev ,
 libncurses5-dev, libssl-dev,  ss-dev,
 libverto-dev (>= 0.2.4), pkg-config
Build-Depends-Indep: python3, python3-cheetah, python3-lxml, python3-sphinx, doxygen, doxygen-latex
Standards-Version: 4.5.0
Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@debian.org>, Benjamin Kaduk <kaduk@mit.edu>
Homepage: http://web.mit.edu/kerberos/
VCS-Git: https://salsa.debian.org/debian/krb5
VCS-Browser: https://salsa.debian.org/debian/krb5


Package: krb5-multidev
Section: libdevel
Architecture: any
Multi-Arch: same
Description: development files for MIT Kerberos without Heimdal conflict
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 Most users wishing to build applications against MIT Kerberos should
 install libkrb5-dev.  However, that package conflicts with heimdal-dev.
 This package installs libraries and headers in /usr/include/mit-krb5 and
 /usr/lib/mit-krb5 and can be installed along side heimdal-multidev, which
 provides the same facilities for Heimdal.

Package: libkrb5-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-multidev (= ${binary:Version})
Replaces: krb5-multidev (<< 1.8+dfsg~alpha1-3)
Conflicts: heimdal-dev
Multi-Arch: same
Description: headers and development libraries for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the symlinks, headers, and development libraries
 needed to compile and link programs that use the Kerberos libraries.
